Activate an event schema
curl --request POST \
--url https://api.togai.com/event_schema/{event_schema_name}/activate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/event_schema/{event_schema_name}/activate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/event_schema/{event_schema_name}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "ride_completed",
"description": "Cab ride completed",
"version": 1,
"status": "DRAFT",
"attributes": [
{
"name": "distance"
},
{
"name": "time"
}
],
"dimensions": [
{
"name": "city"
},
{
"name": "ride_type"
}
],
"featureDetails": {
"featureId": "feature.1122.ahoiud",
"attributeName": "distance"
},
"eventLevelRevenue": false
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Event Schemas
Activate an event schema
Activate an event schema
POST
/
event_schema
/
{event_schema_name}
/
activate
Activate an event schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
50Example:
"rides"
Response
Response for Create and Get event schema requests
Structure of an event schema
Name of the event. Must be unique for an organization.
Maximum string length:
50Pattern:
^[\sa-zA-Z0-9_-]*$Version of event schema
Required range:
x >= 1Example:
1
Description of the event
Maximum string length:
255Status of event schema
- DRAFT - Schema is in draft state
- ACTIVE - Schema is currently active
- INACTIVE - Schema is currently inactive
- ARCHIVED - Older version of event schema
Available options:
DRAFT, ACTIVE, INACTIVE, ARCHIVED Example:
"DRAFT"
Maximum array length:
50Show child attributes
Show child attributes
Maximum array length:
50Show child attributes
Show child attributes
details of feature associated with event schema with attribute name
Show child attributes
Show child attributes
Show child attributes
Show child attributes
